%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

%global nativename proj

Name:      mingw-%{nativename}
Version:   4.6.1
Release:   10%{?dist}
Summary:   Cartographic projection software (PROJ.4)

Group:     Applications/Engineering
License:   MIT
URL:       http://proj.osgeo.org
Source0:   http://download.osgeo.org/proj/proj-%{version}.tar.gz
BuildArch: noarch

BuildRequires: libtool
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

Patch:    proj-noundefined.patch

%description
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw32-%{nativename}
Summary:   Cartographic projection software (PROJ.4)

%description -n mingw32-%{nativename}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/

%prep
%setup -q -n %{nativename}-%{version}

%patch -p 1

%build
%{mingw32_configure} --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Remove libtool archives
rm $RPM_BUILD_ROOT%{mingw32_libdir}/libproj.la

# Remove inverse program symbolic links
rm $RPM_BUILD_ROOT%{mingw32_bindir}/inv*.exe

# Remove unneeded files
rm -R $RPM_BUILD_ROOT%{mingw32_datadir}/*

%check

%files -n mingw32-%{nativename}
%doc NEWS AUTHORS COPYING README ChangeLog
%{mingw32_bindir}/libproj-0.dll
%{mingw32_bindir}/*.exe
%{mingw32_libdir}/libproj.dll.a
%{mingw32_includedir}/*.h

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 4.6.1-8
- Renamed the source package to mingw-proj (#801017)
- Modernize the spec file
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.6.1-7
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-4
- Don't remove build executables

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-3
- Updates for Fedora packaging

* Wed Sep 9 2009 David Ludlow <dave@adsllc.com> - 4.6.1-2
- Initial creation of mingw32 package
